#ifndef __SHADES_H__
#define __SHADES_H__

/*
  QtCurve (C) Craig Drummond, 2003 Craig.Drummond@lycos.co.uk

----

  Released under the GNU General Public License (GPL) v2.

----

  Permission is hereby granted, free of charge, to any person obtaining a
  copy of this software and associated documentation files(the "Software"),
  to deal in the Software without restriction, including without limitation
  the rights to use, copy, modify, merge, publish, distribute, sublicense,
  and/or sell copies of the Software, and to permit persons to whom the
  Software is furnished to do so, subject to the following conditions:

  The above copyright notice and this permission notice shall be included in
  all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
  DEALINGS IN THE SOFTWARE.
*/

/* Progressbar and selected menu items... */
#define SHADE_GRADIENT_TOP         0.92
#define SHADE_GRADIENT_BOTTOM      1.66
#define SHADE_GRADIENT_LIGHT       1.62
#define SHADE_GRADIENT_DARK        1.05

/* 3d effect - i.e. buttons, etc */
#define SHADE_BEVEL_1              1.15
#define SHADE_BEVEL_2              1.05
#define SHADE_BEVEL_3              0.896
#define SHADE_BEVEL_4              0.79
#define SHADE_BEVEL_5              0.768
#define SHADE_BEVEL_6              0.4

/* Shades used when gradient effect is selected */
#define SHADE_BEVEL_GRAD_LIGHT     1.1
#define SHADE_BEVEL_GRAD_DARK      0.9
#define SHADE_BEVEL_GRAD_SEL_LIGHT 1.1
#define SHADE_BEVEL_GRAD_SEL_DARK  0.95
/*
#define SHADE_SBAR_LIGHT           1.4
#define SHADE_SBAR_DARK            0.95
*/
#define SHADE_TAB_LIGHT            1.1
#define SHADE_TAB_DARK             1.0
#define SHADE_TAB_SEL_LIGHT        1.1
#define SHADE_TAB_SEL_DARK         1.0

/* Following not currently used...
#define SHADE_BAR_LIGHT            1.1
#define SHADE_BAR_DARK             0.95
*/

#endif
